Skip to Content
SeyloDocs
API referenceCompose stacks

Get a compose stack's file

GET
/api/v1/compose.get

Returns where a stack's compose file comes from (with the pasted file) and the member services it created.

Needs services.view on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
stack*
source*||
members*array<>
Example Request
curl -X GET 'https://example.com/api/v1/compose.get?serviceId=string'
Example Response
{  "stack": {    "id": "string",    "projectId": "string",    "name": "string",    "kind": "app",    "parentId": "string",    "status": "idle",    "source": {      "type": "github",      "label": "string",      "branch": "string",      "builder": "railpack"    },    "address": "string",    "placements": [      {        "nodeId": "string",        "nodeName": "string",        "replicas": 1      }    ],    "cpuPercent": 0,    "memoryBytes": 0,    "memoryLimitBytes": 0,    "liveDeployment": {      "id": "string",      "label": "string",      "createdAt": "2019-08-24T14:15:22Z"    },    "lastDeployedAt": "2019-08-24T14:15:22Z",    "protected": true,    "templateSlug": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "stopped": true,    "generation": 1,    "sourceConfig": {      "type": "github",      "installationId": "string",      "repo": "string",      "branch": "string",      "deployOnPush": true    },    "build": {      "builder": "railpack",      "contextPath": "string",      "dockerfilePath": "string",      "inlineDockerfile": "string",      "targetStage": "string",      "buildNodeId": "string",      "startCommand": "string",      "installCommand": "string",      "buildCommand": "string"    },    "container": {      "command": [        "string"      ],      "entrypoint": [        "string"      ],      "workingDir": "string",      "user": "string",      "stopSignal": "string",      "stopGraceSeconds": 1    },    "ports": [      {        "containerPort": 1,        "protocol": "tcp"      }    ],    "healthCheck": {      "probe": {        "type": "tcp",        "port": 1      },      "intervalSeconds": 1,      "timeoutSeconds": 1,      "startPeriodSeconds": 0,      "failureThreshold": 1    },    "crashPolicy": {      "restart": true,      "stopAfterCrashes": 0    },    "restartDelaySeconds": 0,    "resources": {      "memoryLimitBytes": 6291456,      "memoryReservationBytes": 0,      "cpuWeight": 1,      "pidsLimit": 16    },    "deploy": {      "mode": "rolling",      "healthTimeoutSeconds": 10    },    "cron": {      "schedule": "stringstr",      "timeZone": "string",      "command": [        "string"      ],      "timeoutSeconds": 1,      "concurrency": "forbid"    },    "stickySessions": true,    "entryNodeId": "string",    "notes": "string",    "members": [      {        "id": "string",        "name": "string",        "status": "idle"      }    ],    "volumes": [      {        "id": "string",        "name": "string",        "mountPath": "string",        "kind": "volume",        "readOnly": true,        "sharedWith": [          {            "id": "string",            "name": "string"          }        ]      }    ]  },  "source": {    "type": "inline",    "yaml": "string"  },  "members": [    {      "id": "string",      "projectId": "string",      "name": "string",      "kind": "app",      "parentId": "string",      "status": "idle",      "source": {        "type": "github",        "label": "string",        "branch": "string",        "builder": "railpack"      },      "address": "string",      "placements": [        {          "nodeId": "string",          "nodeName": "string",          "replicas": 1        }      ],      "cpuPercent": 0,      "memoryBytes": 0,      "memoryLimitBytes": 0,      "liveDeployment": {        "id": "string",        "label": "string",        "createdAt": "2019-08-24T14:15:22Z"      },      "lastDeployedAt": "2019-08-24T14:15:22Z",      "protected": true,      "templateSlug": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}